function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Cvm = Yfuncvec(1);
Cam = Yfuncvec(2);
Cavm = Yfuncvec(3);
fvs= Yfuncvec(4);
fas= Yfuncvec(5);
Cvc= Yfuncvec(6);
Cac= Yfuncvec(7);
Cavc= Yfuncvec(8);

% Explicit equations
fs =1-fvs-fas;%Fraction of free sites in muscle compartment
k_a =4.5;%Backward rate constant for antivenin adsorption in muscle compartment (1/hr)
ka =3*10^6;%Forward rate constant for Antivenin Adsorption in muscle compartment (L/mol hr)
Ka =ka/k_a;%Equilibrium constant for antivenin adsorption reaction in muscle compartment
kv =5*10^8;%Rate constant for adsorption of venom in muscle compartment (L/mol hr)
Ct = 2.2*10^-9;%Total concentration of sites
kvs =1.8*10^7;%Rate constant for reaction of antivenom with venom on site in muscle compartment (L/mol hr)
kas =14;%Rate constant for reaction of venom with antivenin on site in muscle compartment (L/mol hr)
Cas =fas*Ct;%Concentration of sites occupied by antivenin 
Cs = fs*Ct;%Concentration of free sites 
vm = 11.16;%Blood flow from muscle compartment to central compartment (L/hr)
Vm = 1.62;%Tissue water volume of muscle compartment (L)
Vc = .798;%Tissue water volume of central compartment (L)
ve = 7.5*10^-3;%Elimination flow rate (L/hr)
kpc = 8.6*10^4;%Rate constant for formation of AV product in central compartment (L/mol hr)
% Differential equations
dCvmdt =   (vm/Vm)*(Cvc-Cvm)-kv*Cvm*Cs-kas*Cvm*Cas;%Venom concentration in muscle compartment
dCamdt = (vm/Vm)*(Cac-Cam)-ka*(Cam*Cs-Cas/Ka)-kas*Cam*Cs;%Antivenin concentration in muscle compartment
dCavmdt=    (vm/Vm)*(Cavc-Cavm)+(Ct)*(kas*fas*Cvm+kvs*fvs*Cam);%Venom-antivenin product concentration in muscle compartment
dfvsdt =     kv*fs*Cvm-kvs*fvs*Cam;%Fraction of sites occupied by venom in muscle compartment
dfasdt =     ka*(Cam*fs-fas/Ka)-kas*fas*Cvm;%Fraction of sites occupied by antivenin in muscle compartment
dCvcdt = (vm/Vc)*(Cvm-Cvc)-(ve/Vc)*Cvc-kpc*Cac*Cvc;%Venom concentration in central compartment
dCacdt = (vm/Vc)*(Cam-Cac)-(ve/Vc)*Cac-kpc*Cac*Cvc;%Antivenin concentration in central compartment
dCavcdt =     (vm/Vc)*(Cavm-Cavc)-(ve/Vc)*Cavc+kpc*Cac*Cvc;%Venom-antivenin product concentration in central compartment
dYfuncvecdt=[dCvmdt;dCamdt;dCavmdt;dfvsdt;dfasdt;dCvcdt;dCacdt;dCavcdt];



